%define upstream_name	 Crypt-OpenSSL-X509
%define upstream_version 1.902

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Perl extension to OpenSSL's X509 API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DA/DANIEL/%{upstream_name}-%{upstream_version}.tar.gz
# Respect distribution compiler flags
Patch0:     Crypt-OpenSSL-X509-1.813-Do-not-hard-code-CFLAGS.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
%description
This is a Perl extension to OpenSSL's X509 API. It implements a large majority
of OpenSSL's useful X509 API.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*

%changelog
* Fri Nov 13 2020 tv <tv> 1.902.0-1.mga8
+ Revision: 1644899
- update to 1.902

* Sat Nov 07 2020 tv <tv> 1.901.0-1.mga8
+ Revision: 1643125
- update to 1.901

* Wed Jun 17 2020 umeabot <umeabot> 1.813.0-3.mga8
+ Revision: 1594380
- Rebuild for perl 5.32

* Mon Feb 17 2020 umeabot <umeabot> 1.813.0-2.mga8
+ Revision: 1537110
- Mageia 8 Mass Rebuild

* Fri Oct 25 2019 tv <tv> 1.813.0-1.mga8
+ Revision: 1455765
- update to 1.813

* Mon Aug 26 2019 tv <tv> 1.812.0-2.mga8
+ Revision: 1432831
- rebuild with perl-5.30

* Fri Nov 23 2018 tv <tv> 1.812.0-1.mga7
+ Revision: 1333523
- update to 1.812

* Tue Oct 30 2018 tv <tv> 1.811.0-1.mga7
+ Revision: 1326648
- update to 1.811

* Fri Sep 21 2018 umeabot <umeabot> 1.809.0-3.mga7
+ Revision: 1292578
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 1.809.0-2.mga7
+ Revision: 1248329
- rebuild for perl 5.28

* Fri Jun 22 2018 shlomif <shlomif> 1.809.0-1.mga7
+ Revision: 1238897
- fix M-Install build and modernize
- update to 1.809

* Sat Jan 13 2018 shlomif <shlomif> 1.808.0-1.mga7
+ Revision: 1192778
- New version 1.808

* Mon Oct 02 2017 tv <tv> 1.807.0-3.mga7
+ Revision: 1163680
- rebuild with fixed rpm for missing autodeps

* Mon Sep 04 2017 guillomovitch <guillomovitch> 1.807.0-2.mga7
+ Revision: 1151124
- fix build with openssl 1.1

* Mon Jul 24 2017 sander85 <sander85> 1.807.0-1.mga7
+ Revision: 1129928
- update to 1.807
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.806.0-5.mga6
+ Revision: 1024545
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.806.0-4.mga6
+ Revision: 956988
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 1.806.0-3.mga6
+ Revision: 885392
- Fix build

* Thu Jun 25 2015 sander85 <sander85> 1.806.0-2.mga6
+ Revision: 843925
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 1.806.0-1.mga6
+ Revision: 838491
- update to 1.806

* Wed Oct 15 2014 umeabot <umeabot> 1.804.0-4.mga5
+ Revision: 746131
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.804.0-3.mga5
+ Revision: 684050
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.804.0-2.mga5
+ Revision: 630960
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 1.804.0-1.mga5
+ Revision: 586277
- update to 1.804

* Sat Oct 19 2013 umeabot <umeabot> 1.803.0-2.mga4
+ Revision: 531956
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 sander85 <sander85> 1.803.0-1.mga4
+ Revision: 466061
- update to 1.803

* Wed May 29 2013 jquelin <jquelin> 1.800.2-4.mga4
+ Revision: 430610
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.800.2-3.mga3
+ Revision: 364912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.800.2-2.mga3
+ Revision: 250404
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 1.800.2-1.mga2
+ Revision: 106560
- update to 1.800.2

* Sat Jun 11 2011 sander85 <sander85> 1.800.1-2.mga2
+ Revision: 103849
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 1.800.1-1.mga1
+ Revision: 88491
- update to 1.800.1

* Fri Apr 15 2011 jquelin <jquelin> 1.800.0-1.mga1
+ Revision: 85675
- update to 1.8

* Mon Apr 11 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 83390
- fix i586 build
- loosen the parallel build
- update to 1.7

* Fri Jan 21 2011 jquelin <jquelin> 1.600.0-1.mga1
+ Revision: 29994
- mageia rebuild
- imported package perl-Crypt-OpenSSL-X509

